<?php
/**
* アノテーションクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class Annotation
{
	private $_name;
	private $_value;
	private $_param;

	/*
	 *	コンストラクタ
	 */
	public function __construct( $name, $value, $param )
	{
		$this->_name   = $name;
		$this->_value  = $value;
		$this->_param = $param;
	}

	/*
	 *	アノテーション名を取得
	 */
	public function getName()
	{
		return $this->_name;
	}

	/*
	 *	アノテーション値を取得
	 */
	public function getValue()
	{
		return $this->_value;
	}

	/*
	 *	パラメータ値を取得
	 */
	public function getParameter()
	{
		return $this->_param;
	}

}
